#!/bin/bash
set -euo pipefail
if [ "$#" == "0" ]
then
	echo recall
	exit 0
fi
LOG_ROOT="$HOME"/.local/var/log/shell # source this

SUBPROG=""
PROG="$1"

#TODO: eval, really?
#      not fully working anyway (aliases, functions)
#while [ "$(eval "$PROG")" == "capture" ]
#do
	#TODO: eval not sufficient if
	#      capture is aliased
	#      or invoked by a function
#	shift 1; PROG=$1;
#done

# TODO: and maybe su, runuser et al
if [ "$PROG" == "sudo" ]
then
	SUBPROG="$2"
fi

LOG_DIR="$LOG_ROOT"/"$PROG"/"$SUBPROG"
LOG_DIR="$LOG_DIR"/"$(ls -1 "$LOG_DIR" | sort -V | tail -n1)"

OUT="$LOG_DIR"/stdout
ERR="$LOG_DIR"/stderr
DAT="$LOG_DIR"/dat
INF="$LOG_DIR"/info
. <(tail -n +2 "$INF")
cat "$OUT"
exit "$status"
